Subject: Re: git bundle unbundle and "check-outable" refs

From: Jakub Narebski <[email-masked]>
Date: Thu, 29 Sep 2011 10:20:43 -0700 (PDT)

"Todd A. Jacobs" <[email-masked]> writes:

> Never having needed git bundle before, I've recently been using it as
> a sneakernet. In particular, I'm using bundles to work around
> limitations of filesystem semantics on vfat and hpfs+ drives when
> shared between Linux and OS X systems. The systems are air-gapped, so
> sneakernet is essential.
> 
> At any rate, the issue I'm dealing with is that "git bundle unbundle"
> is sort of non-intuitive to deal with. [...]

I guess the fault is with "git bundle" documentation.

The "Example" section of git-bundle(1) manpage shows that you can use
path to bundle in place of URL to repository in "git clone".  Actually
you can use path to bundle anywhere where URL or nickname of
repository is/can be used, i.e.:

  git remote add <name> <bundle>
  git fetch <bundle> [<refspec>...]
  git pull <bundle>  [<refspec>...]

  git ls-remote <bundle>

HTH
-- 
Jakub Narębski